oracle.xml.binxml

## Class BinXMLVocabId

- java.lang.Object
- - oracle.xml.binxml.BinXMLVocabId

    public class BinXMLVocabId
    extends java.lang.Object

This class is used to represent the vocabulary Id associated with each dtd or schema document as per the CSX RFC.

### Constructor Summary

Constructors
Constructor and Description
`BinXMLVocabId()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setVocabID(byte[] id)` This method sets the vocabulary Id for the class.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinXMLVocabId

    public BinXMLVocabId()

### Method Detail

#### setVocabID

    public void setVocabID(byte[] id)

This method sets the vocabulary Id for the class.

Parameters:
  `Vocabulary` - Id

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.